summaryrefslogtreecommitdiffstats
path: root/slackware64/xap/maketag.ez
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /slackware64/xap/maketag.ez
downloadcurrent-slackware-13.0.tar.gz
current-slackware-13.0.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'slackware64/xap/maketag.ez')
-rw-r--r--slackware64/xap/maketag.ez81
1 files changed, 81 insertions, 0 deletions
diff --git a/slackware64/xap/maketag.ez b/slackware64/xap/maketag.ez
new file mode 100644
index 000000000..2af6f34d4
--- /dev/null
+++ b/slackware64/xap/maketag.ez
@@ -0,0 +1,81 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES XAP (X APPLICATIONS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series XAP. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are done." \
+20 70 10 \
+"MPlayer" "Media player" "on" \
+"audacious" "A media player of the XMMS lineage" "on" \
+"audacious-plugins" "Plugins for Audacious to support media types" "on" \
+"blackbox" "Minimalist and fast window manager" "on" \
+"electricsheep" "A distributed screensaver program" "on" \
+"fluxbox" "Window manager based on blackbox" "on" \
+"fvwm" "FVWM window manager" "on" \
+"gftp" "A multithreaded FTP client" "on" \
+"gimp" "GNU Image Manipulation Program" "on" \
+"gkrellm" "Graphical system monitor utility" "on" \
+"gnuchess" "Chess playing programs" "on" \
+"gnuplot" "Gnuplot function plotting utility" "on" \
+"gqview" "A lightweight picture viewing program" "on" \
+"gucharmap" "Unicode character map" "on" \
+"gv" ".ps/.pdf viewer based on Ghostview" "on" \
+"gxine" "Multimedia player (GTK+ user interface)" "on" \
+"imagemagick" "ImageMagick image utilities" "on" \
+"mozilla-firefox" "Mozilla Firefox web browser" "on" \
+"mozilla-thunderbird" "Mozilla Thunderbird email client" "on" \
+"pan" "Pan newsreader (good for Reading News)" "on" \
+"pidgin" "GTK+ based messaging program" "on" \
+"rdesktop" "Remote Desktop Protocol client" "on" \
+"rxvt" "Lightweight xterm alternative" "on" \
+"sane" "Scanner Access Now Easy" "on" \
+"seamonkey" "SeaMonkey Application Suite" "on" \
+"seyon" "A complete telecommunications package" "on" \
+"thunar-volman" "Thunar Volume Manager for Xfce" "on" \
+"vim-gvim" "X/GTK+ GUI add-on for the VIM editor" "on" \
+"windowmaker" "GNU window manager for X" "on" \
+"x11-ssh-askpass" "X11-based SSH passphrase dialog" "on" \
+"x3270" "x3270 - IBM host access tool" "on" \
+"xchat" "IRC client for X" "on" \
+"xfce" "A lightweight desktop environment for X" "on" \
+"xfce4-power-manager" "Power Management daemon for Xfce" "on" \
+"xfractint" "Fractint for X" "on" \
+"xgames" "A collection of games for X" "on" \
+"xine-lib" "Multimedia player libraries" "on" \
+"xine-ui" "Multimedia player (user interface)" "on" \
+"xlockmore" "A screen saver and locker for X" "on" \
+"xmms" "An audio player similar to WinAmp" "on" \
+"xpaint" "A color painting/image editing program" "on" \
+"xpdf" "Portable Document Format (PDF) viewer" "on" \
+"xsane" "X interface to Scanner Access Now Easy" "on" \
+"xscreensaver" "A screen saver and locker for X" "on" \
+"xv" "XV GIF/TIFF/JPEG/PostScript Image Viewer" "on" \
+"xxgdb" "X frontend for the GNU gdb debugger" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs